#
# spec file for package tree-sitter-css
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name css
Summary:        CSS grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.20.0
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-css
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}
%license LICENSE

%changelog
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.0:
  * feat: add issue templates
  * feat: add ci actions
  * docs: add badges to readme
  * chore: update bindings and manifests
  * feat: add and apply eslint formatting
  * chore: generate
  * fix: don't make strings a token
  * feat: support postcss statements
  * fix: pseudo class selector colons not being parsed correct
